"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadBuiltInScalar = loadBuiltInScalar;
const graphql_1 = require("graphql");
const GraphQLTypeIndex_1 = require("./GraphQLTypeIndex");
/**
 * Load all the built in scalar types into a given [[MetadataStorage]].
 * @param storage
 */
function loadBuiltInScalar(storage) {
    storage.registerMetadata([
        new GraphQLTypeIndex_1.GraphQLTypeIndex({
            definitionClass: null,
            typeInstance: graphql_1.GraphQLString,
        }),
        new GraphQLTypeIndex_1.GraphQLTypeIndex({
            definitionClass: null,
            typeInstance: graphql_1.GraphQLBoolean,
        }),
        new GraphQLTypeIndex_1.GraphQLTypeIndex({
            definitionClass: null,
            typeInstance: graphql_1.GraphQLFloat,
        }),
        new GraphQLTypeIndex_1.GraphQLTypeIndex({
            definitionClass: null,
            typeInstance: graphql_1.GraphQLInt,
        }),
        new GraphQLTypeIndex_1.GraphQLTypeIndex({
            definitionClass: null,
            typeInstance: graphql_1.GraphQLID,
        }),
    ]);
}
//# sourceMappingURL=scalar.js.map