import { GraphQLFieldConfigArgumentMap, GraphQLFieldResolver } from 'graphql';
import { InputField } from './InputField';
import { Reference, ReferenceConfig } from '../metadata/Reference';
import { TypeResolvingContext } from '../type-expression/types';
export interface FieldConfig extends ReferenceConfig {
    fieldName: string;
    args: InputField[];
    description?: string;
    deprecationReason?: string;
    directives?: any;
    resolver: GraphQLFieldResolver<any, any>;
}
export declare class Field<TConfig extends FieldConfig = FieldConfig> extends Reference<TConfig> {
    protected get kind(): 'output';
    get fieldName(): string;
    get description(): string | undefined;
    get deprecationReason(): string | undefined;
    get resolver(): GraphQLFieldResolver<any, any>;
    buildArgumentMap(context: TypeResolvingContext): GraphQLFieldConfigArgumentMap;
    buildResolver(context: TypeResolvingContext): GraphQLFieldResolver<any, any>;
}
//# sourceMappingURL=Field.d.ts.map