"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NonNull = exports.List = void 0;
const TypeExpression_1 = require("./TypeExpression");
const definition_1 = require("graphql/type/definition");
const coerceType_1 = require("./coerceType");
class List extends TypeExpression_1.TypeExpression {
    static of(inner) {
        return new List((0, coerceType_1.coerceType)(inner));
    }
    constructor(innerExp) {
        super();
        this.innerExp = innerExp;
    }
    getTypeName() {
        throw new Error(`Cannot resolve name: List is not a GraphQLNamedType`);
    }
    getType(context) {
        return new definition_1.GraphQLList(this.innerExp.getType(context));
    }
    getInstantiator(context) {
        const innerInstantiator = this.innerExp.getInstantiator(context);
        return (values) => values.map(innerInstantiator);
    }
}
exports.List = List;
class NonNull extends TypeExpression_1.TypeExpression {
    static of(inner) {
        return new NonNull((0, coerceType_1.coerceType)(inner));
    }
    constructor(innerExp) {
        super();
        this.innerExp = innerExp;
    }
    getTypeName() {
        throw new Error(`Cannot resolve name: NonNull is not a GraphQLNamedType`);
    }
    getType(context) {
        return new definition_1.GraphQLNonNull(this.innerExp.getType(context));
    }
    getInstantiator(context) {
        return this.innerExp.getInstantiator(context);
    }
}
exports.NonNull = NonNull;
//# sourceMappingURL=structure.js.map